%define enable_gtkdoc 1

# Define biarch packages
%define biarches_32 %{ix86} ppc
%define biarches_64 x86_64 ppc64
%define query_modules_suffix %{nil}
%ifarch %{biarches_32}
%define query_modules_suffix -32
%endif
%ifarch %{biarches_64}
%define query_modules_suffix -64
%endif
%define query_modules pango-querymodules%{query_modules_suffix}

%define api 1.0
%define module_version 1.8.0
%define major 0
%define gir_major 1.0

%define modules %mklibname %{name}-modules %{api}
%define libname %mklibname %{name} %{api} %{major}
%define libcairo %mklibname %{name}cairo %{api} %{major}
%define libft2 %mklibname %{name}ft2_ %{api} %{major}
%define libxft %mklibname %{name}xft %{api} %{major}

%define girname %mklibname %{name}-gir %{gir_major}
%define gircairo %mklibname %{name}cairo-gir %{gir_major}
%define girft2 %mklibname %{name}ft2-gir %{gir_major}
%define girxft %mklibname %{name}xft-gir %{gir_major}

%define develname %mklibname -d %{name} %{api}
%define develcairo %mklibname -d %{name}cairo %{api}
%define develft2 %mklibname -d %{name}ft2_ %{api}
%define develx %mklibname -d %{name}x %{api}
%define develxft %mklibname -d %{name}xft %{api}

Summary:	System for layout and rendering of internationalized text
Name:		pango
Version:	1.32.1
Release:	1
License:	LGPLv2+
Group:		System/Internationalization
URL:		http://www.pango.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/pango/%{name}-%{version}.tar.xz
# (gb) 1.4.0-2mdk biarch support
Patch5:		pango-1.32.0-lib64.patch

BuildRequires:	pkgconfig(cairo) >= 1.7.6
BuildRequires:	pkgconfig(fontconfig) >= 2.5.0
BuildRequires:	pkgconfig(freetype2) >= 2.1.3
BuildRequires:	pkgconfig(glib-2.0) >= 2.24
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libthai) >= 0.1.9
BuildRequires:	pkgconfig(xft) >= 2.0
BuildRequires:	pkgconfig(harfbuzz) >= 0.9.3
%if %{enable_gtkdoc}
BuildRequires:	docbook-style-xsl
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gtk-doc >= 0.10
BuildRequires:	xsltproc
%endif

%description
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}

%description -n %{libname}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{libcairo}
Summary:	%{summary} - cairo
Group:		%{group}

%description -n %{libcairo}
Library for %{name} - cairo.

%package -n %{libft2}
Summary:	%{summary} - ft2
Group:		%{group}

%description -n %{libft2}
Library for %{name} - ft2.

%package -n %{libxft}
Summary:	%{summary} - xft
Group:		%{group}

%description -n %{libxft}
Library for %{name} - xft.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{gircairo}
Summary:	GObject Introspection interface description for %{name} - cairo
Group:		System/Libraries

%description -n %{gircairo}
GObject Introspection interface description for %{name} - cairo.

%package -n %{girft2}
Summary:	GObject Introspection interface description for %{name} - ft2
Group:		System/Libraries

%description -n %{girft2}
GObject Introspection interface description for %{name} - ft2.

%package -n %{girxft}
Summary:	GObject Introspection interface description for %{name} - xft
Group:		System/Libraries

%description -n %{girxft}
GObject Introspection interface description for %{name} - xft.

%package -n %{modules}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{name}%{api} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
%rename		%{_lib}pango1.0_0-modules
%rename		%{name}
#need this since we launch pango-querymodules in %post
Provides:	pango-modules = %{version}-%{release}

%description -n %{modules}
A library to handle unicode strings as well as complex bidirectional
or context dependent shaped strings.
It is the next step on Gtk+ internationalization.

%package -n %{develname}
Summary:	%{summary}
Group:		Development/GNOME and GTK+
%rename		pango-devel
%rename		pango-doc
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Conflicts:	%{_lib}pango1.0_0 < 1.28.1-2

%description -n %{develname}
This package includes the development library and header files
for the %{name} package.

%package -n %{develcairo}
Summary:	%{summary} - cairo
Group:		Development/GNOME and GTK+
Requires:	%{libcairo} = %{version}-%{release}
Requires:	%{gircairo} = %{version}-%{release}

%description -n %{develcairo}
This package includes the development library and header files
for the %{name}cairo package.

%package -n %{develft2}
Summary:	%{summary} - ft2
Group:		Development/GNOME and GTK+
Requires:	%{libft2} = %{version}-%{release}
Requires:	%{girft2} = %{version}-%{release}

%description -n %{develft2}
This package includes the development library and header files
for the %{name}ft2 package.

%package -n %{develxft}
Summary:	%{summary} - xft
Group:		Development/GNOME and GTK+
Requires:	%{libxft} = %{version}-%{release}
Requires:	%{girxft} = %{version}-%{release}

%description -n %{develxft}
This package includes the development library and header files
for the %{name}xft package.

%prep
%setup -q
%apply_patches

%build
#needed by patch5
autoreconf -fi
%configure2_5x \
	--enable-static=no \
%if !%enable_gtkdoc
	--disable-gtk-doc \
%endif

%make ARCH=%{_arch}

%check
#disabled for https://bugzilla.gnome.org/show_bug.cgi?id=610791
make check || true

%install
%makeinstall_std
# remove unpackaged files
find %{buildroot} -name "*.la" -delete

# remove some quite annoying /usr/usr
perl -pi -e "s|/usr/usr/%{_lib}|%{_libdir}|g" %{buildroot}%{_libdir}/*.la

mkdir -p %{buildroot}%{_sysconfdir}/pango/%{_arch}
touch %{buildroot}%{_sysconfdir}/pango/%{_arch}/pango.modules

%ifarch %{biarches_32} %{biarches_64}
mv %{buildroot}%{_bindir}/pango-querymodules %{buildroot}%{_bindir}/%{query_modules}
%endif
%ifarch %{biarches_64}
mv %{buildroot}%{_bindir}/pango-view %{buildroot}%{_bindir}/pango-view%{query_modules_suffix}
%endif

%post -n %{modules}
if [ "$1" = "2" -a -r  %{_sysconfdir}/pango/pango.modules ]; then
  rm -f %{_sysconfdir}/pango/pango.modules 
fi
%{_bindir}/%{query_modules} --system > %{_sysconfdir}/pango/%{_arch}/pango.modules

%postun -n %{modules}
if [ "$1" -gt "0" -a -r  %{_sysconfdir}/pango/pango.modules ]; then
  rm -f %{_sysconfdir}/pango/pango.modules 
fi
%{_bindir}/%{query_modules} > %{_sysconfdir}/pango/%{_arch}/pango.modules

%files -n %{modules}
%doc README AUTHORS NEWS
%dir %{_sysconfdir}/pango
%dir %{_sysconfdir}/pango/%{_arch}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/pango/%{_arch}/pango.modules
%ifnarch %{biarches_32} %{biarches_64}
%{_bindir}/pango-querymodules
%else
%{_bindir}/pango-querymodules-*
%endif
%dir %{_libdir}/pango
%dir %{_libdir}/pango/%{module_version}
%dir %{_libdir}/pango/%{module_version}/modules
%{_libdir}/pango/%{module_version}/modules/*.so
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libpango-%{api}.so.%{major}*

%files -n %{libcairo}
%{_libdir}/libpangocairo-%{api}.so.%{major}*

%files -n %{libft2}
%{_libdir}/libpangoft2-%{api}.so.%{major}*

%files -n %{libxft}
%{_libdir}/libpangoxft-%{api}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Pango-%{gir_major}.typelib

%files -n %{gircairo}
%{_libdir}/girepository-1.0/PangoCairo-%{gir_major}.typelib

%files -n %{girft2}
%{_libdir}/girepository-1.0/PangoFT2-%{gir_major}.typelib

%files -n %{girxft}
%{_libdir}/girepository-1.0/PangoXft-%{gir_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/pango
%doc ChangeLog pango-view/HELLO.txt
%{_bindir}/pango-view*
%{_libdir}/libpango-*.so
%{_libdir}/pkgconfig/pango.pc
%{_datadir}/gir-1.0/Pango-%{gir_major}.gir
%dir %{_includedir}/pango-1.0
%dir %{_includedir}/pango-1.0/pango
%{_includedir}/pango-1.0/pango/pango-*.h
%{_includedir}/pango-1.0/pango/pango.h
%{_includedir}/pango-1.0/pango/pangofc-*.h

%files -n %{develcairo}
%{_libdir}/libpangocairo*.so
%{_libdir}/pkgconfig/pangocairo.pc
%{_datadir}/gir-1.0/PangoCairo-%{gir_major}.gir
%{_includedir}/pango-1.0/pango/pangocairo.h

%files -n %{develft2}
%{_libdir}/libpangoft2-*.so
%{_libdir}/pkgconfig/pangoft2.pc
%{_datadir}/gir-1.0/PangoFT2-%{gir_major}.gir
%{_includedir}/pango-1.0/pango/pangoft2.h

%files -n %{develxft}
%{_libdir}/libpangoxft-*.so
%{_libdir}/pkgconfig/pangoxft.pc
%{_datadir}/gir-1.0/PangoXft-%{gir_major}.gir
%{_includedir}/pango-1.0/pango/pangoxft.h
%{_includedir}/pango-1.0/pango/pangoxft-render.h



%changelog
* Fri Nov 02 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 1.32.1-1
+ Revision: 821653
- fix file list for the last time (first commit from my mobile :)
- drop pangox library
- add buildrequires on harfbuzz
- update patch 5 form mageia
- do not fail on checks
- update module version
  use new --system option when running pango-querymodules in post script
- spec file clean
- update to new version 1.32.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - own %%{_includedir}/pango-1.0 & %%{_includedir}/pango-1.0/pango

* Tue Jun 05 2012 Götz Waschk <waschk@mandriva.org> 1.30.1-1
+ Revision: 802653
- update to new version 1.30.1

* Fri Apr 27 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.30.0-4
+ Revision: 793703
- rebuild making the devel pkgs req their girpkgs

* Tue Apr 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.30.0-3
+ Revision: 793144
- rebuild hopefully typelib reqs are generated

* Mon Apr 23 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.30.0-2
+ Revision: 793055
- rebuild for new rpm+g-i
- cleaned up spec

* Sat Apr 14 2012 Götz Waschk <waschk@mandriva.org> 1.30.0-1
+ Revision: 790956
- update to new version 1.30.0

* Tue Dec 13 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.29.5-4
+ Revision: 740630
- forgot else
- rebuild
- merged basically orphanned main pkg with modules
- updated BR

  + Zé <ze@mandriva.org>
    - use fixed names in renames and in conflicts

* Sat Dec 03 2011 Zé <ze@mandriva.org> 1.29.5-3
+ Revision: 737535
- rebuild due to new gobject-introspection

* Sat Dec 03 2011 Zé <ze@mandriva.org> 1.29.5-2
+ Revision: 737512
- use lib prefix
- add postun
- rebuild

* Fri Nov 25 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.29.5-1
+ Revision: 733456
- new version 1.29.5
- dropped p1, rediffed p5
- split out individual pkgs for all libs, gir and devel
- major spec clean up
- converted BRs to pkgconfig provides
- removed dep loop
- placed main provides in modules pkg as to insure it gets installed
- renamed modules pkg
- switched to apply_patches
- removed .la files
- merged doc pkg into devel pkg
- removed old conflicts, provides, obsoletes
- proper pkgconfig or devel provides will need to be used for split devel pkgs

* Sun Nov 20 2011 Oden Eriksson <oeriksson@mandriva.com> 1.29.4-4
+ Revision: 731964
- rebuild
- slight cleanups
- remove some quite annoying /usr/usr

* Sat Nov 05 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.29.4-3
+ Revision: 720012
- rebuild for glib2

* Sat Nov 05 2011 Zé <ze@mandriva.org> 1.29.4-2
+ Revision: 717755
- proper renaming
- clean defattr and section clean
- rebuild due to glib2

* Tue Nov 01 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.29.4-1
+ Revision: 708119
- new version 1.29.4

* Tue Sep 13 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 1.28.4-4
+ Revision: 699650
- rebuild rof new libpng15

* Sun Apr 10 2011 Funda Wang <fwang@mandriva.org> 1.28.4-3
+ Revision: 652271
- rebuild

* Fri Apr 08 2011 Funda Wang <fwang@mandriva.org> 1.28.4-2
+ Revision: 651958
- rebuild for fixed multiarch-utils

* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 1.28.4-1
+ Revision: 650412
- new version
- drop patches 6,7

* Thu Mar 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.28.3-3
+ Revision: 641410
- don't test the docs for now...
- sync with MDVSA-2011:040

* Thu Feb 03 2011 Oden Eriksson <oeriksson@mandriva.com> 1.28.3-2
+ Revision: 635650
- sync with MDVSA-2011:020

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 1.28.3-1mdv2011.0
+ Revision: 582057
- new version

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 1.28.2-1mdv2011.0
+ Revision: 581891
- update to new version 1.28.2

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-5mdv2011.0
+ Revision: 577625
- rebuild for new g-i

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-4mdv2011.0
+ Revision: 563124
- rebuild for new gobject-introspection

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 1.28.1-3mdv2011.0
+ Revision: 552708
- add missing conflicts to devel package to ease upgrade

* Tue Jul 13 2010 Götz Waschk <waschk@mandriva.org> 1.28.1-2mdv2011.0
+ Revision: 552031
- move gir files to the devel package

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 1.28.1-1mdv2011.0
+ Revision: 550780
- New version 1.28.1
- reenable make check (ustream bug fixed)

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 1.28.0-1mdv2010.1
+ Revision: 530057
- update to new version 1.28.0

* Tue Feb 23 2010 Götz Waschk <waschk@mandriva.org> 1.27.1-1mdv2010.1
+ Revision: 510066
- new version
- disable checks

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 1.26.2-1mdv2010.1
+ Revision: 478797
- new version
- fix libtool call

* Wed Nov 18 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.1-1mdv2010.1
+ Revision: 467221
- Release 1.26.1

* Tue Nov 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.0-3mdv2010.1
+ Revision: 466977
- Update also dependencies for fontconfig and glib2

* Tue Nov 17 2009 Frederic Crozat <fcrozat@mandriva.com> 1.26.0-2mdv2010.1
+ Revision: 466968
- Ensure recent enough cairo is required by lib package

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 1.26.0-1mdv2010.0
+ Revision: 446968
- update to new version 1.26.0
- add conflict for upgrades

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 1.25.6-1mdv2010.0
+ Revision: 437327
- new version
- enable introspection

* Mon Aug 24 2009 Götz Waschk <waschk@mandriva.org> 1.25.5-1mdv2010.0
+ Revision: 420638
- new version

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 1.25.4-1mdv2010.0
+ Revision: 417530
- new version

* Thu Aug 13 2009 Götz Waschk <waschk@mandriva.org> 1.25.3-1mdv2010.0
+ Revision: 415962
- new version
- rebuild build workaround

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 1.25.2-1mdv2010.0
+ Revision: 414977
- Release 1.25.2
- Remove patch6 (merged upstream)
- Enable tests back

* Tue Aug 11 2009 Frederic Crozat <fcrozat@mandriva.com> 1.25.1-3mdv2010.0
+ Revision: 414965
- Patch6 (GIT): fix crash in firefox (GNOME bug #591409)

* Tue Aug 11 2009 Götz Waschk <waschk@mandriva.org> 1.25.1-2mdv2010.0
+ Revision: 414926
- fix linking

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 1.25.1-1mdv2010.0
+ Revision: 414393
- new version
- link with libstdc++

* Tue Jul 21 2009 Götz Waschk <waschk@mandriva.org> 1.24.5-1mdv2010.0
+ Revision: 398292
- update to new version 1.24.5

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 1.24.4-1mdv2010.0
+ Revision: 390822
- update to new version 1.24.4

* Sat Jun 20 2009 Götz Waschk <waschk@mandriva.org> 1.24.3-1mdv2010.0
+ Revision: 387481
- update to new version 1.24.3

* Wed May 06 2009 Götz Waschk <waschk@mandriva.org> 1.24.2-2mdv2010.0
+ Revision: 372449
- rebuild for broken i586 package

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 1.24.2-1mdv2010.0
+ Revision: 371971
- update to new version 1.24.2

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 1.24.1-1mdv2009.1
+ Revision: 366971
- update docbook build deps
- update to new version 1.24.1

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.24.0-1mdv2009.1
+ Revision: 356301
- update to new version 1.24.0

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 1.23.0-1mdv2009.1
+ Revision: 336736
- update to new version 1.23.0

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 1.22.4-1mdv2009.1
+ Revision: 315964
- new version
- rediff the patch

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.22.3-1mdv2009.1
+ Revision: 306200
- new version
- disable checks

* Fri Nov 07 2008 Olivier Blin <blino@mandriva.org> 1.22.2-2mdv2009.1
+ Revision: 300424
- rebuild with new xcb

* Wed Oct 29 2008 Götz Waschk <waschk@mandriva.org> 1.22.2-1mdv2009.1
+ Revision: 298156
- update to new version 1.22.2

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 1.22.1-1mdv2009.1
+ Revision: 295950
- update to new version 1.22.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 1.22.0-1mdv2009.0
+ Revision: 287355
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 1.21.6-1mdv2009.0
+ Revision: 282781
- new version

* Wed Aug 27 2008 Götz Waschk <waschk@mandriva.org> 1.21.5-1mdv2009.0
+ Revision: 276434
- new version

* Tue Aug 12 2008 Götz Waschk <waschk@mandriva.org> 1.21.4-1mdv2009.0
+ Revision: 271027
- new version
- bump cairo dep

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 1.21.3-1mdv2009.0
+ Revision: 230970
- new version

* Wed Jul 02 2008 Götz Waschk <waschk@mandriva.org> 1.20.5-1mdv2009.0
+ Revision: 230803
- new version

* Tue Jul 01 2008 Götz Waschk <waschk@mandriva.org> 1.20.4-1mdv2009.0
+ Revision: 230465
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 1.20.3-1mdv2009.0
+ Revision: 211685
- new version

* Thu Apr 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.2-1mdv2009.0
+ Revision: 192536
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 1.20.0-1mdv2008.1
+ Revision: 183686
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 1.19.4-1mdv2008.1
+ Revision: 175283
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 1.19.3-1mdv2008.1
+ Revision: 156137
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 1.19.2-1mdv2008.1
+ Revision: 130829
- new version

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 1.19.1-1mdv2008.1
+ Revision: 115272
- new version

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 1.19.0-2mdv2008.1
+ Revision: 109198
- rebuild for new lzma

* Tue Oct 30 2007 Götz Waschk <waschk@mandriva.org> 1.19.0-1mdv2008.1
+ Revision: 103741
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 1.18.3-1mdv2008.1
+ Revision: 98728
- new version

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 1.18.2-1mdv2008.0
+ Revision: 89461
- new version
- reenable checks with the new libthai

* Tue Aug 28 2007 Götz Waschk <waschk@mandriva.org> 1.18.1-1mdv2008.0
+ Revision: 72493
- new version
- drop patch 6

* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-3mdv2008.0
+ Revision: 69116
- Move pango-view to devel package (with some renaming and conflicts)
- move API doc to pango-doc package and devel packages require it
- Fix description

* Tue Aug 21 2007 Frederic Crozat <fcrozat@mandriva.com> 1.18.0-2mdv2008.0
+ Revision: 68358
- Patch1 (SVN): fix hang with very long string
- Remove patch0, no longer needed

* Tue Aug 21 2007 Götz Waschk <waschk@mandriva.org> 1.18.0-1mdv2008.0
+ Revision: 68238
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 1.17.5-1mdv2008.0
+ Revision: 56595
- new version

* Mon Jul 02 2007 Götz Waschk <waschk@mandriva.org> 1.17.4-1mdv2008.0
+ Revision: 47274
- new version

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 1.17.3-1mdv2008.0
+ Revision: 41289
- new version

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.17.2-2mdv2008.0
+ Revision: 36189
- rebuild with correct optflags

  + Götz Waschk <waschk@mandriva.org>
    - new version

* Fri Apr 27 2007 Götz Waschk <waschk@mandriva.org> 1.16.4-1mdv2008.0
+ Revision: 18491
- new version

* Tue Apr 24 2007 Götz Waschk <waschk@mandriva.org> 1.16.3-1mdv2008.0
+ Revision: 17789
- new version
- disable tests, b.g.o #410152

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.16.2-1mdv2008.0
+ Revision: 14118
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 1.16.1-1mdv2007.1
+ Revision: 142132
- new version
- fix make check

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1.16.0-1mdv2007.1
+ Revision: 126099
- new version

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-3mdv2007.1
+ Revision: 122243
- rebuild for pkgconfig deps

* Sat Feb 17 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-2mdv2007.1
+ Revision: 122122
- rebuild for pkgconfig provides

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.15.6-1mdv2007.1
+ Revision: 120785
- readd cairo dep
- new version
- fix build

* Wed Jan 24 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.15.5-2mdv2007.1
+ Revision: 112933
- build with libthai

* Tue Jan 23 2007 Götz Waschk <waschk@mandriva.org> 1.15.5-1mdv2007.1
+ Revision: 112236
- new version
- drop patch 2

* Sat Jan 20 2007 Götz Waschk <waschk@mandriva.org> 1.15.4-1mdv2007.1
+ Revision: 110998
- fix file list
- new version
- rediff patch 2

* Tue Jan 09 2007 Götz Waschk <waschk@mandriva.org> 1.15.3-1mdv2007.1
+ Revision: 106338
- drop patch 6
- new version

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.2-2mdv2007.1
+ Revision: 102591
- Patch6 (CVS): fix FcFontMatch misuse

* Thu Dec 21 2006 Götz Waschk <waschk@mandriva.org> 1.15.2-1mdv2007.1
+ Revision: 100955
- new version
- drop patch 3

* Tue Dec 12 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.15.1-2mdv2007.1
+ Revision: 95300
- ppc64 is a bi-arch platform
- Fix make check

* Tue Dec 05 2006 Frederic Crozat <fcrozat@mandriva.com> 1.15.1-1mdv2007.1
+ Revision: 91008
- Release 1.15.1
- Disable tests, they are broken atm

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 1.15.0-1mdv2007.1
+ Revision: 88552
- new version
- bump module version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.14.8-1mdv2007.1
+ Revision: 86305
- new version

* Sun Oct 15 2006 Götz Waschk <waschk@mandriva.org> 1.14.7-1mdv2006.0
+ Revision: 64779
- new version
- new version
  unpack sources
- Import pango

* Thu Oct 05 2006 Gtz Waschk <waschk@mandriva.org> 1.14.5-1mdv2007.0
- drop patch 6
- New version 1.14.5

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 1.14.3-2mdv2007.0
- Patch6 (CVS): fix map engine calls

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 1.14.3-1mdv2007.0
- New version 1.14.3

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 1.14.2-1mdv2007.0
- New release 1.14.2

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 1.14.1-1mdv2007.0
- New release 1.14.1

* Thu Aug 10 2006 Gtz Waschk <waschk@mandriva.org> 1.14.0-1mdv2007.0
- bump deps
- New release 1.14.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.13.5-1mdv2007.0
- Release 1.13.5

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 1.13.4-1mdv2007.0
- New release 1.13.4

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 1.13.3-1
- New release 1.13.3

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 1.13.2-1
- New release 1.13.2

* Mon May 29 2006 Gtz Waschk <waschk@mandriva.org> 1.12.3-1mdv2007.0
- drop patch 6
- New release 1.12.3

* Wed May 17 2006 Laurent MONTEL <lmontel@mandriva.com> 1.12.2-4
- Rebuild with new xorg

* Wed May 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-3mdk
- Update patch 6 with better CVS fix

* Sat Apr 29 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.2-2mdk
- Patch6 (CVS): fix hinting

* Fri Apr 28 2006 Gtz Waschk <waschk@mandriva.org> 1.12.2-1mdk
- drop patch 6
- New release 1.12.2

* Wed Apr 26 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-3mdk
- Patch6 (CVS): fix rounding (Freedesktop bug #5200)

* Sat Apr 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-2mdk
- enforce glib dependency

* Tue Apr 11 2006 Frederic Crozat <fcrozat@mandriva.com> 1.12.1-1mdk
- Release 1.12.1

* Mon Feb 27 2006 Götz Waschk <waschk@mandriva.org> 1.10.4-1mdk
- New release 1.10.4

* Mon Feb 06 2006 Götz Waschk <waschk@mandriva.org> 1.10.3-1mdk
- New release 1.10.3
- use mkrel

* Tue Nov 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.2-1mdk
- Release 1.10.2
- Remove patch6 (merged upstream)

* Mon Nov 21 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-3mdk
- Update patch6 with regression fix from CVS

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-2mdk
- Patch6 (CVS): fix pixel size support (Mdk bug #19635)

* Wed Oct 05 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.1-1mdk
- Release 1.10.1
- Remove patches 6, 7 (merged upstream)

* Tue Sep 13 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-3mdk 
- Patch7 (CVS): various bugfixes

* Fri Aug 26 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-2mdk 
- Patch6 (CVS): fix underline

* Wed Aug 17 2005 Frederic Crozat <fcrozat@mandriva.com> 1.10.0-1mdk 
- Release 1.10.0

* Thu Jul 28 2005 Götz Waschk <waschk@mandriva.org> 1.8.2-1mdk
- fix some deps
- make it rpmbuildupdatable
- New release 1.8.2

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.1-1mdk 
- Release 1.8.1
- Remove patch6 (merged upstream)

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.0-3mdk
- move pango docs to pango package, which is req'ed by *-devel

* Mon Feb 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk 
- Patch6 (CVS): fix text rotation (needed by gnumeric)

* Thu Dec 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-1mdk 
- Release 1.8.0
- Remove patches 6, 7, 8, 9, 10 (merged upstream)

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6.0-1mdk
- Release 1.6.0
- Patch6 (Fedora): fix metrics for bitmap fonts
- Patch7 (Fedora): fix display of unicode U3000 glyph
- Patch8 (Fedora): fix metrics in ja_JP with latin text
- Patch9 (Fedora): disable backspace_deletes_character for hangul and hiragana
- Patch10 (Fedora): fix attribute length

* Tue Oct 12 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.1-2mdk
- generate pango.modules from -modules package

* Wed Aug 04 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-1mdk
- new version

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-8mdk
- Argg, really really fix dependencies this time

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-7mdk
- Really fix dependencies

* Thu Jul 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-6mdk
- Add another dependency for biarch

* Sat Jul 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-5mdk
- Enforce automake 1.8 (to respect policy)
- Rebuild to get correct .pc files (previous one were incorrect)

* Fri Jul 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-4mdk
- Enable libtoolize
- Don't force automake 1.7

* Tue May 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-3mdk
- Fix biarch support
- Remove trigger, use test in post instead

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-2mdk
- Patch5 (gb): add support for biarch (sync with AMD64)

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.0-1mdk
- Release 1.4.0
- remove patches 3 (no longer relevant), 4 (merged upstream)

